# Generated by Django 3.1.6 on 2021-02-14 18:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Degree',
            fields=[
                ('short_name', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('long_name', models.CharField(max_length=75, unique=True)),
                ('department', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='EnrolledStudent',
            fields=[
                ('email', models.EmailField(max_length=75, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=50, null=True)),
                ('surname', models.CharField(max_length=50, null=True)),
                ('level', models.CharField(max_length=25)),
                ('group', models.CharField(max_length=10, null=True)),
                ('enrolled_subjects', models.CharField(max_length=75, null=True)),
                ('degree', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='students_of_degree', to='forms.degree')),
            ],
        ),
        migrations.CreateModel(
            name='EvaluableItem',
            fields=[
                ('item', models.CharField(max_length=10, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='StudentEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('evaluation_timestamp', models.CharField(max_length=26, null=True)),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='student_evaluations', to='forms.enrolledstudent')),
            ],
        ),
        migrations.CreateModel(
            name='Evaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.CharField(max_length=26)),
                ('level', models.CharField(max_length=25, null=True)),
                ('group', models.CharField(max_length=10, null=True)),
                ('question1', models.IntegerField()),
                ('question2', models.IntegerField()),
                ('question3', models.IntegerField()),
                ('question4', models.IntegerField(null=True)),
                ('question5', models.IntegerField(null=True)),
                ('question6', models.IntegerField(null=True)),
                ('opinion', models.CharField(max_length=280, null=True)),
                ('degree', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='evaluations_of_degree', to='forms.degree')),
                ('subject', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='evaluation_of_subject', to='forms.evaluableitem')),
            ],
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('long_name', models.CharField(max_length=75, null=True)),
                ('degree', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='subjects_of_degree', to='forms.degree')),
                ('short_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject_information_of_subject_short_name', to='forms.evaluableitem')),
            ],
            options={
                'unique_together': {('short_name', 'degree')},
            },
        ),
        migrations.AddConstraint(
            model_name='evaluation',
            constraint=models.CheckConstraint(check=models.Q(models.Q(_negated=True, level__iexact='CF'), ('degree__isnull', False), _connector='OR'), name='forms_evaluation_check_cf_degree'),
        ),
        migrations.AddConstraint(
            model_name='enrolledstudent',
            constraint=models.CheckConstraint(check=models.Q(models.Q(_negated=True, level__iexact='CF'), ('group__isnull', False), _connector='OR'), name='forms_enrolledstudent_check_cf_group_not_null'),
        ),
        migrations.AddConstraint(
            model_name='enrolledstudent',
            constraint=models.CheckConstraint(check=models.Q(models.Q(_negated=True, level__iexact='CF'), ('group__contains', '1'), ('group__contains', '2'), _connector='OR'), name='forms_enrolledstudent_check_cf_group_contains_course_1_or_2'),
        ),
        migrations.AddConstraint(
            model_name='enrolledstudent',
            constraint=models.CheckConstraint(check=models.Q(models.Q(_negated=True, level__iexact='CF'), ('degree__isnull', False), _connector='OR'), name='forms_enrolledstudent_check_cf_degree_not_null'),
        ),
        migrations.AddConstraint(
            model_name='enrolledstudent',
            constraint=models.CheckConstraint(check=models.Q(models.Q(_negated=True, level__iexact='CF'), ('enrolled_subjects__isnull', False), _connector='OR'), name='forms_enrolledstudent_check_cf_enrolled_subjects_not_null'),
        ),
    ]
